package com.company.tokenlist7.web.screens.products;

import com.company.tokenlist7.entity.NewEntity;
import com.google.common.collect.Lists;
import com.haulmont.cuba.core.global.Metadata;
import com.haulmont.cuba.gui.components.TokenList;
import com.haulmont.cuba.gui.model.CollectionContainer;
import com.haulmont.cuba.gui.model.InstanceContainer;
import com.haulmont.cuba.gui.screen.*;
import com.company.tokenlist7.entity.Products;

import javax.inject.Inject;
import java.util.ArrayList;
import java.util.List;

@UiController("tokenlist7_Products.edit")
@UiDescriptor("products-edit.xml")
@EditedEntityContainer("productsDc")
@LoadDataBeforeShow
public class ProductsEdit extends StandardEditor<Products> {
    @Inject
    private CollectionContainer<NewEntity> tokenDc;
    @Inject
    private TokenList<NewEntity> tokenList;
    @Inject
    private Metadata metadata;
    @Inject
    private InstanceContainer<Products> productsDc;

    @Subscribe
    private void onAfterShow(AfterShowEvent event) {
        List<NewEntity> list = Lists.newArrayList();
        NewEntity t1 = metadata.create(NewEntity.class); t1.setField1("v1"); t1.setField2("v11");
        NewEntity t2 = metadata.create(NewEntity.class); t2.setField1("v2"); t2.setField2("v22");
        list.add(t1);
        list.add(t2);
        tokenDc.setItems(list);
    }


    public void onButtonClick() {
        System.out.println( productsDc.getItem().getClassif());
    }
}